%define name SL_desktop_tweaks
%define version 5
%define release 7
%define GTOOL /usr/bin/gconftool-2

Summary: Small desktop tweaks such as default buttons on panel
Name: %{name}
Version: %{version}
Release: %{release}
License:        GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Source1: startkde
BuildArchitectures: noarch
Obsoletes: zz_desktop_tweeks, SL_desktop_tweeks
BuildRoot: %{_tmppath}/%{name}-%{version}root

%description
This changes minor desktop annoyances, such as the default buttons on KDE's
and Gnome's panel.

%prep
%setup -q

%install
#put in kicker panel files
mkdir -p $RPM_BUILD_ROOT/usr/share/config
cp -r * $RPM_BUILD_ROOT/usr/share/config

mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/startkde.sl

%post
if [ -f /usr/share/config/kickerrc ] ; then
	/bin/cp -f /usr/share/config/kickerrc.sl /usr/share/config/kickerrc
fi
if [ -f %{GTOOL} ] ; then
	export GCONF_CONFIG_SOURCE=`%{GTOOL} --get-default-source`
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries > /dev/null
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries /apps/panel > /dev/null
fi
#
if [ -f /usr/bin/startkde ] ; then
	TESTSIZE=`wc -c /usr/bin/startkde | cut -d' ' -f1`
	if [ "$TESTSIZE" = "0" ] ; then
		/bin/cp -f /usr/bin/startkde.sl /usr/bin/startkde
	fi
fi

%postun
if [ "$1" = "0" ] ; then
	if [ -f /usr/bin/startkde ] ; then
		sed -i 's:xsetroot -solid \"#000000\":xsetroot -solid \"#5C0B13\":' /usr/bin/startkde
	fi
fi

%triggerin -- gnome-panel
if [ -f %{GTOOL} ] ; then
	export GCONF_CONFIG_SOURCE=`%{GTOOL} --get-default-source`
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries > /dev/null
	%{GTOOL} --direct --config-source=$GCONF_CONFIG_SOURCE --load /usr/share/config/panel-default-setup.SL.entries /apps/panel > /dev/null
fi

%triggerin -- kdebase
if [ -f /usr/share/config/kickerrc ] ; then
	/bin/cp -f /usr/share/config/kickerrc.sl /usr/share/config/kickerrc
fi
if [ -f /usr/bin/startkde ] ; then
	sed -i 's:xsetroot -solid \"#5C0B13\":xsetroot -solid \"#000000\":' /usr/bin/startkde
fi

%triggerpostun -- kdebase
if [ -f /usr/bin/startkde ] ; then
	TESTSIZE=`wc -c /usr/bin/startkde | cut -d' ' -f1`
	if [ "$TESTSIZE" = "0" ] ; then
		/bin/cp -f /usr/bin/startkde.sl /usr/bin/startkde
	fi
fi


%files
/usr/share/config
/usr/bin/startkde.sl

%changelog
* Fri Jun 15 2007 Troy Dawson <dawson@fnal.gov> 5-7
- Added %triggerpostun -- kdebase that checks to make sure it's startkde is right

* Fri Jun 15 2007 Troy Dawson <dawson@fnal.gov> 5-6
- Checks to see if there is a zero sized startkde, if there is, put in a correct startkde.
  This is due to a previous bug that wiped out startkde

* Fri Jun 15 2007 Troy Dawson <dawson@fnal.gov> 5-5
- Fixed %triggerpostun -- kdebase startkde fix, and then moved that fix into the %postun section
- Remove %triggerpostun -- kdebase and %triggerpostun -- gnome-panel, why would we be
  changing configuration files after something has been uninstalled, it doesn't make sense.
- Removed everything dealing with gdm.conf.  gdm.conf no longer exists, so we weren't changing anything, and the
  default settings where what we were changing them to anyway.
